Replays failed or exhausted deliveries by re-queuing them for retry.

Re-queues up to 100 failed or exhausted deliveries created after the specified timestamp. Deliveries are reset with AttemptCount=0 and scheduled for immediate delivery.

Example request:

POST /api/v1/webhooks/123/replay
{ "since": "2026-01-01T00:00:00Z" }

Example response:

{ "replayed_count": 15, "message": "15 deliveries re-queued for retry" }
Path Parameters
  • id
    Type: string
    required

    The webhook ID

Body·
required

Replay configuration

Request to replay failed deliveries.

  • since
    Type: stringFormat: date-time
    required

    Only replay deliveries created after this timestamp (ISO 8601 UTC).

Responses
  • application/json
  • application/problem+json
  • application/problem+json
  • application/problem+json
  • application/problem+json
  • application/problem+json
Request Example for post/api/v1/webhooks/{id}/replay
curl 'https://app.propstreet.com/api/v1/webhooks/{id}/replay' \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "since": ""
}'
{
  "replayed_count": "string",
  "message": "string"
}